import PropTypes from "prop-types";
import accordionAriaProps from "./Accordion.ariaPropTypes";
import tagAttributeProps, { tagAttributePropsName } from "../../propTypes/htmlAttributes.propTypes";
import automationProps, { automationPropsName } from "../../propTypes/automation.propTypes";
import customClassProps, { customClassPropName } from "../../propTypes/customClassName.propTypes";
import defaultCustomIds from "./Accordion.customIds";
import constantProps from "./Accordion.constantProps";
export default {
  type: PropTypes.oneOf([]),
  ...automationProps,
  ...accordionAriaProps,
  ...customClassProps,
  ...tagAttributeProps
};
export const defaultProps = {
  type: constantProps.type.primary,
  tagAttributeProps: {},
  //   [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {
  type: "This defines the look the UI view"
};