import PropTypes from 'prop-types';
import SelectPropTypes, { commonSelectProps } from '../Select.propTypes';
import { tagAttributes } from '@zohodesk/utils/es/props/tagAttributeProps';
import { tagGeneralAttributes } from '@zohodesk/utils/es/props/tagGeneralAttributeProps';
export default { ...commonSelectProps,
  [tagGeneralAttributes]: PropTypes.objectOf({
    triggerGeneralAttributes: PropTypes.object,
    menuGeneralAttributes: PropTypes.object,
    searchGeneralAttributes: PropTypes.object
  }),
  [tagAttributes]: PropTypes.objectOf({
    triggerTagAttributes: PropTypes.object,
    menuTagAttributes: PropTypes.object,
    searchTagAttributes: PropTypes.object
  })
};
export { defaultProps, propsDescription } from '../Select.propTypes';
export { default as constantProps } from '../Select.constantProps';