# Custom Class Props

### customStyle PropTypes handling for components

The common pattern through out the components library.

`{component}.propTypes.js file configurations`

```
import customStyleProps, { customStyle } from "@zohodesk/utils/es/props/customStyleProps";
import defaultCustomId from "{component}.customId.js";

const listPropTypes = {
     variant,
     direction,
    ...customStyleProps
}

const listItemPropTypes = {
     value,
    ...customStyleProps
}


export { listItemPropTypes };
export default listPropTypes;

```

`How we will use propTypes file in our component. example`

```
import listPropTypes from '{component.propTypes.js}'
MyComponent.propTypes=listPropTypes;
```

getCompileClassName
