function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import RadioGroup, { RadioGroupContext, Radio } from '../RadioGroup';
import RadioGroupDocConfig from './RadioGroup.model.docConfig';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';
export default function RadioGroup__Model(props) {
  return /*#__PURE__*/React.createElement(DocsTabsViewer, _extends({
    docConfig: RadioGroupDocConfig,
    componentType: RadioGroup,
    components: {
      RadioGroup,
      RadioGroupContext,
      Radio
    }
  }, props));
}

if (false) {
  RadioGroup__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}